Bug 65685 - dd can fail to open autoloaded block device driver
Summary: dd can fail to open autoloaded block device driver
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-30 00:35 UTC by mikpe
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mikpe 2002-05-30 00:35:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.19-pre8 i686; Nav)

Description of problem:
Running "dd if=<dev>" as user, when <dev>'s driver modules aren't loaded, is
supposed to autoload those modules. RedHat 7.3 fails to do so.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
0. Assume the CDROM is /dev/hdc.
1. As root, /sbin/rmmod the ide-cd and cdrom modules.
2. As user, dd if=/dev/hdc bs=4k count=1 of=/dev/null

	

Actual Results:  dd's open() of /dec/hdc in step 2 failed, and modprobe failed
to insmod the ide-cd and cdrom modules.


Expected Results:  The ide-cd and cdrom modules should have autoloaded, and step
2's dd command should have succeeded.


Additional info:

There are several other access methods that _do_ correctly
trigger the autoload:
3a. perform step 2 as root
3b. (as user) tar tvf /dev/hdc -- tar won't find an archive,
    but the modules load correctly
3c. dd bs=4k count=1 of=/dev/null < /dev/hdc
    regular open() and fopen() do work, just not in dd :-(

This problem is new in RedHat 7.3. It causes problems for those
of us that use custom kernels with modular floppy driver, and
build test kernels with "make bzdisk" as regular users.

Vanilla PC hardware. Vanilla RH7.3 install. RH7.2 worked.

Comment 1 Bernhard Rosenkraenzer 2002-08-29 23:32:24 UTC
Looks like either a config problem (are the right aliases in /etc/modules.conf?)
or a kmod bug

Comment 2 Bugzilla owner 2004-09-30 15:39:38 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.